
Redmine - Patch #230

hides some issues in calendar block in My Page

2007-09-30 03:09 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Description

I worte patch for  Calendar block in "My Page"  to add following features.

hide issues not assigned to me

hide closed issues

I belongs to many projects in my company and Calendar becomes too large and confusing me because too many issues displayed

on the Calendar. So  this patch is very useful for me.

I think there must be many people who is troubled by too large Calendar block in My Page.

Related issues:

Related to Redmine - Feature #12223: Make "My Page"-Widgets filterable Closed

History

#1 - 2007-10-09 09:38 - Cyril Mougel

Ca you made a patch instead of a file.

#2 - 2007-10-09 11:23 - Go MAEDA

Here is a patch for latest Redmine.

BUG: cannot save the status of chexboxes.

Index: app/views/my/blocks/_calendar.rhtml ================================================================= ==

--- app/views/my/blocks/_calendar.rhtml (revision 815)

+++ app/views/my/blocks/_calendar.rhtml (working copy)

@ -1,8 +1,19 @

<h3><%= l(:label_calendar) %></h3>

<% form_tag() do >

<= check_box_tag('cal_hide_not_assigned_to_me', 1,

params[:cal_hide_not_assigned_to_me]) >hide issues not

assigned to me

<= check_box_tag('cal_hide_closed', @user.id,

params[:cal_hide_closed]) >hide closed issues

<= submit_tag l(:button_apply), :class => 'button-small'

>

< end >

<

+hide_not_assigned_to_me =

params[:cal_hide_not_assigned_to_me]  nil ? 0 : 1

+hide_closed = params[:cal_hide_closed]  nil ? 0 : 1

>

< calendar = Redmine::Helpers::Calendar.new(Date.today,

current_language, :week)

calendar.events = Issue.find :all,

-                     :conditions =>

["#{Issue.table_name}.project_id in

(#{@user.projects.collect{|m| m.id}.join(',')}) AND

((start_date>=? and start_date<=?) or (due_date>=? and

due_date<=?))", calendar.startdt, calendar.enddt,

calendar.startdt, calendar.enddt],

-                     :include => [:project, :tracker,

:priority, :assigned_to] unless @user.projects.empty? %>
:conditions =>

["#{Issue.table_name}.project_id in

(#{@user.projects.collect{|m| m.id}.join(',')}) AND

((start_date>=? and start_date<=?) or (due_date>=? and

due_date<=?)) AND (? = 0 or assigned_to_id = ?) AND (? = 0

or #{IssueStatus.table_name}.is_closed = ?)",

calendar.startdt, calendar.enddt, calendar.startdt,

calendar.enddt, hide_not_assigned_to_me, @user.id,

hide_closed, false],

+                     :include => [:project, :tracker,

:priority, :assigned_to, :status] unless

@user.projects.empty? %> {:calendar => calendar } %>

<%= render :partial => 'common/calendar', :locals =>

#3 - 2007-10-09 11:30 - Go MAEDA

Oops, line feeds are automatically inserted to my previous

submission.

I uploaded _calendar.rhtml.patch.

#4 - 2011-03-29 14:04 - Toshi MARUYAMA

- Category set to My page

#5 - 2012-10-31 20:35 - Daniel Felix

Still open.

This patch isn't implemented in Redmine 2.1.2-devel.

Maybe this could be solved to with, or maybe in addition to #12223.

Files

_calendar.rhtml 2.09 KB 2008-02-03 Go MAEDA

_calendar.rhtml.patch 1.81 KB 2008-02-03 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-07-08 2/2

https://www.redmine.org/issues/12223
http://www.tcpdf.org

